#
# spec file for package phpPgAdmin (Version 4.1.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl apache2 apache2-prefork apache2-utils attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs cyrus-sasl diffutils ed file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libapr-util1 libapr1 libattr libbz2-1 libbz2-devel libdb-4_5 libexpat1 libgcc42 libgomp42 libltdl-3 libmudflap42 libnscd libopenssl0_9_8 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openldap2-client openssl-certs pam pam-modules patch pcre perl perl-base permissions popt post-build-checks pwdutils rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           phpPgAdmin
Summary:        phpPgAdmin is a web-based administration tool for PostgreSQL
BuildRequires:  apache2
Version:        4.1.3
Release:        19.2
License:        GPL v2 or later
Group:          Productivity/Databases/Tools
Requires:       php5-pgsql apache2-mod_php5
Url:            http://phppgadmin.sourceforge.net
Source0:        %{name}-%{version}.tar.bz2
Patch1:         phpPgAdmin-CVE-2008-5587.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
phpPgAdmin is a web-based administration tool for PostgreSQL. It is
perfect for PostgreSQL DBAs, newbies and hosting services.

Currently it can:

- Administer multiple servers

- Support for PostgreSQL 7.0.x, 7.1.x, 7.2.x, 7.3.x, 7.4.x, 8.0.x
   and 8.1.x

- Manage all aspects (Users, Groups, Databases, Schemas, Tables,
   Views, Reports)

- Easy data manipulation (browse tables, views, reports; Select,
   insert, update and delete; execute SQL statements)

- Dump table data in a variety of formats

- Import SQL scripts, COPY data, XML, CSV and Tabbed

- Available in 26 languages



Authors:
--------
    Dan Wilson
    Robert Treat
    Christopher Kings-Lynne

%debug_package
%prep
%setup -q
%patch1

%build

%install
mkdir -p %buildroot/srv/www/htdocs/%{name}
cp -a * %buildroot/srv/www/htdocs/%{name}/
rm -f %buildroot/srv/www/htdocs/%{name}/lang/php2po
rm -f %buildroot/srv/www/htdocs/%{name}/lang/po2php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc CREDITS DEVELOPERS INSTALL TODO TRANSLATORS
/srv/www/htdocs/%{name}
%exclude /srv/www/htdocs/%{name}/conf/config.inc.php
%config(noreplace) /srv/www/htdocs/%{name}/conf/config.inc.php

%changelog
* Tue Feb 03 2009 - max@suse.de
- Added phpPgAdmin-CVE-2008-5587.patch to fix a directory
  traversal vulnerability (bnc#462762).
* Sat Aug 04 2007 - tpatzig@suse.de
- update to Version 4.1.3
  * Send encrypted passwords over the wire wherever possible.
  * Alter sequence, nextval and setval (Guillaume)
  * Autovacuum configuration support (Robert Treat)
  * Basic ROLE support (Chris Kings-Lynne, Javier Carlos)
  * Add support for SSL connections (Eric Kinolik)
  * Display Prepared Transactions (Javier Carlos)
  * Add automatic lookup of foreign key values in insert/update fields (John Jawed)
  * several bugfixes
* Wed Oct 18 2006 - tpatzig@suse.de
- initial build of phpPgAdmin Version 4.0.1
